#pragma once

#include <windows.h>
#include <map>

typedef void (*init_proc)(HWND);
typedef void (*command_proc)(HWND, WPARAM);

class rDialog
{
public:
	void Create(int Resourse);
	void Create(HINSTANCE hInstance, int Resourse);
	static void OpenFileNameDialog(char* filename, char* filter);
	init_proc rInitProc;
	command_proc rCommandProc;
	HWND hWND;
	int id;
};
